%global archive_name buildx
%global gohomepath github.com/docker
%global goipath %{gohomepath}/buildx

Summary:        Docker CLI plugin for extended build capabilities with BuildKit
Name:           docker-buildx
Version:        0.11.2
Release:        1%{?dist}
License:        Apache-2.0
URL:            https://github.com/docker/buildx
Source0:        %{url}/archive/v%{version}/%{archive_name}-%{version}.tar.gz

BuildRequires:  golang >= 1.20 go-rpm-macros
Requires:       docker

%description
buildx is a Docker CLI plugin for extended build capabilities with BuildKit.

Key features:
- Familiar UI from docker build
- Full BuildKit capabilities with container driver
- Multiple builder instance support
- Multi-node builds for cross-platform images
- Compose build support
- High-level build constructs (bake)
- In-container driver support (both Docker and Kubernetes)

%prep
%autosetup -p1 -n %{archive_name}-%{version}

%build
export GOPATH=$PWD/.gopath
mkdir -p ${GOPATH}/src/%{gohomepath}
ln -sfn $PWD $GOPATH/src/%{goipath}

export CGO_ENABLED=0
export GOFLAGS="-mod=vendor"
export LDFLAGS=" -X %{goipath}/version.Version=%{version} \
                 -X %{goipath}/version.Revision=v%{version} "
%gobuild -o bin/%{name} %{goipath}/cmd/buildx

%install
install -D -m 0755 bin/%{name} "%{buildroot}/%{_libexecdir}/docker/cli-plugins/%{name}"

%files
%doc README.md
%license LICENSE
%{_libexecdir}/docker/cli-plugins/%{name}

%changelog
* Mon Oct 30 2023 jackeyji <jackeyji@tencent.com> - 0.11.2-1
- initial build
